"""
All modem related exceptions
"""

class AtCommandException(Exception):
    """ Generic error while sending an AT command  """

class AtCommandReturnedError(AtCommandException):
    """ The AT command returned an error """

class NoSimException(Exception):
    """ No sim is detected by the modem """

class UnexpectedFirmwareVersion(Exception):
    """ The firmware version is not recognized """

class ModemNotPoweredException(Exception):
    """ The modem was not powered properly """
